package com.nisum.offertransactionservice.genericexception;

import com.safeway.epe.model.Response;

public class GlobalApiGenericException extends RuntimeException {


	private static final long serialVersionUID = -3841677326659278730L;

	private final String statusCode;

	private final boolean isHttpError;

	private final Response response;

	public GlobalApiGenericException(String statusCode, boolean isHttpError,
									 Response response) {
		this.statusCode = statusCode;
		this.isHttpError = isHttpError;
		this.response = response;
	}


	public GlobalApiGenericException() {
		this.statusCode = "";
		this.isHttpError = false;
		this.response = null;
	}

	public GlobalApiGenericException(final Response response,final String statusCode){
		this.response=response;
		this.statusCode= statusCode;
		this.isHttpError = false;
	}

	public GlobalApiGenericException(final Response response,final String statusCode,final boolean isHttpError){
		this.response=response;
		this.statusCode= statusCode;
		this.isHttpError = isHttpError;
	}

	public GlobalApiGenericException(final String debugMessage, boolean isHttpError){
		this.statusCode=debugMessage;
		this.isHttpError = isHttpError;
		this.response=null;
	}


	public GlobalApiGenericException(final String debugMessage, final Throwable ex, final String statuCode, final boolean isHttpError) {
		super(debugMessage, ex);
		this.statusCode =statuCode;
		this.isHttpError = isHttpError;
		this.response=null;
	}

	public String getStatusCode() {
		return statusCode;
	}

	public boolean isHttpError() {
		return isHttpError;
	}

	public Response getResponse() {
		return response;
	}

}
